clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
clang::rename Namespace Reference

## Classes
class | RenamingASTConsumer
class | RenamingAction
struct | NamedDeclFindingConsumer
struct | USRFindingAction

## Functions
const NamedDecl * | getNamedDeclAt (const ASTContext &Context, const SourceLocation Point)
std::string | getUSRForDecl (const Decl *Decl)
static std::vector< std::string > | getAllConstructorUSRs (const CXXRecordDecl *Decl)
std::vector< SourceLocation > | getLocationsOfUSR (const std::string USR, Decl *Decl)

## Function Documentation

static std::vector<std::string> clang::rename::getAllConstructorUSRs | ( | const CXXRecordDecl * | Decl | ) |
| static

Definition at line 40 of file USRFindingAction.cpp.

References getUSRForDecl().

Referenced by clang::rename::NamedDeclFindingConsumer::HandleTranslationUnit().

std::vector< SourceLocation > clang::rename::getLocationsOfUSR | ( | const std::string | USR,
|  | Decl * | Decl
| ) |  |

Definition at line 94 of file USRLocFinder.cpp.

Referenced by clang::rename::RenamingASTConsumer::HandleTranslationUnit().

const NamedDecl * clang::rename::getNamedDeclAt | ( | const ASTContext & | Context,
|  | const SourceLocation | Point
| ) |  |

Definition at line 127 of file USRFinder.cpp.

References Result, and SourceMgr.

Referenced by clang::rename::NamedDeclFindingConsumer::HandleTranslationUnit().

std::string clang::rename::getUSRForDecl | ( | const Decl * | Decl | ) |

Definition at line 151 of file USRFinder.cpp.

Referenced by getAllConstructorUSRs(), and clang::rename::NamedDeclFindingConsumer::HandleTranslationUnit().